Bug 1267189 - Review Request: antimony - Computer-aided design CAD tool
Review Request: antimony - Computer-aided design CAD tool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-29 05:32 EDT by Antonio Trande
Modified: 2015-11-23 17:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 15:54:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Antonio Trande 2015-09-29 05:32:07 EDT
Spec URL: https://sagitter.fedorapeople.org/antimony/antimony.spec
SRPM URL: https://sagitter.fedorapeople.org/antimony/antimony-0.9.0-0.1.20150811gitf389cb.fc22.src.rpm

Description: 
Antimony is a computer-aided design (CAD) tool from a
parallel universe in which CAD software evolved
from Lisp machines rather than drafting tables.

Antimony provides the Python3 Fab that is
a set of software tools for personal fabrication,
intended for use with machines common to fab labs.
For info about Fab visit kokompe.cba.mit.edu/.

Fedora Account System Username: sagitter
Comment 1 Upstream Release Monitoring 2015-11-06 14:01:19 EST
sagitter's scratch build of antimony-0.9.0-0.2.20151031git5c144c.fc23.src.rpm for f22 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11729599
Comment 2 Antonio Trande 2015-11-09 09:17:50 EST
New release:

Spec URL: https://sagitter.fedorapeople.org/antimony/antimony.spec
SRPM URL: https://sagitter.fedorapeople.org/antimony/antimony-0.9.0-0.2.20151031git5c144c.fc23.src.rpm

- Update to commit #c144cc
- Hardened build on Fedora 22
- Added an appdata file
Comment 3 Zbigniew Jędrzejewski-Szmek 2015-11-11 22:14:42 EST
No new packages can be added to F21, so you can remove the part "%if 0%{?fedora} <= 22".

%autosetup would probably be better than multiple %patch invocations...

I'd also make the desktop and appdata files separate in dist-git. Just a preference of course, but you could e.g. point upstream to the file in dist-git then, and it would be easier to follow or reuse just that file.

rpmlint complains:
antimony.x86_64: E: non-standard-executable-perm /usr/bin/antimony 775
Would be nice to fix that.

The provides are borked: there's no python3-fab in the automatically generated Provides. Why don't you split out the python module as a separate package? That would be nice if it can be used separately.

Looks all good otherwise.
Comment 4 Zbigniew Jędrzejewski-Szmek 2015-11-11 22:24:23 EST
$ appstream-util validate /usr/share/appdata/antimony.appdata.xml
/usr/share/appdata/antimony.appdata.xml: FAILED:
• tag-missing           : <name> is not present
• style-invalid         : Not enough <p> tags for a good description
Validation of files failed

Python module is missing the binary component:
$ python3 -c 'import fab'
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python3.4/site-packages/fab/__init__.py", line 1, in <module>
    import fab.shapes as shapes
  File "/usr/lib/python3.4/site-packages/fab/shapes.py", line 5, in <module>
    from fab.types import Shape, Transform
  File "/usr/lib/python3.4/site-packages/fab/types.py", line 6, in <module>
    from _fabtypes import *
ImportError: No module named '_fabtypes'
Comment 5 Antonio Trande 2015-11-12 05:34:16 EST
New release:

Spec URL: https://sagitter.fedorapeople.org/antimony/antimony.spec
SRPM URL: https://sagitter.fedorapeople.org/antimony/antimony-0.9.0-0.3.20151031git5c144c.fc23.src.rpm

- Fixed appdata file
- Removed Python3 Provides macro
- Used %%autosetup macro

>The provides are borked: there's no python3-fab in the automatically generated >Provides. Why don't you split out the python module as a separate package? That >would be nice if it can be used separately.

fab module seems Antimony-specific.

From doc/SCRIPTING.md file :

`fab` module
------------
Python scripts will usually import the `fab` module, which has
Antimony-specific classes and types for designing shapes.

### `fab.shapes`
`fab.shapes` contains a standard library of primitives and transforms.
It is populated from [shapes.py](../py/fab/shapes.py).

### `fab.types`
`fab.types` contains Python classes representing various Antimony types.
The most relevant is `fab.types.Shape`, which represents a 2D or 3D
solid body.  It is often used as the second argument to `input`, i.e.
`input(s, fab.types.Shape)` to declare a `Shape` input port.

Other types include `Bounds` (representing 2D or 3D bounds) and
`Transform` (representing a coordinate transform).
Comment 6 Zbigniew Jędrzejewski-Szmek 2015-11-12 08:40:08 EST
No matter if the module is only private or not, I don't think this can work. The module is currently in-importable, because _fabtypes is missing.
Comment 7 Antonio Trande 2015-11-12 11:29:48 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #6)
> No matter if the module is only private or not, I don't think this can work.
> The module is currently in-importable, because _fabtypes is missing.

Upstream maintainer confirmed to me that, at the moment, 'fab' module cannot be used separately, just with Antimony:
https://github.com/mkeeter/antimony/issues/136

New release:

Spec URL: https://sagitter.fedorapeople.org/antimony/antimony.spec
SRPM URL: https://sagitter.fedorapeople.org/antimony/antimony-0.9.0-0.4.20151111git12e9f8.fc23.src.rpm
Comment 8 Upstream Release Monitoring 2015-11-12 19:49:12 EST
zbyszek's scratch build of antimony-0.9.0-0.4.20151111git12e9f8.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11808959
Comment 9 Zbigniew Jędrzejewski-Szmek 2015-11-14 13:00:47 EST
I think that the installation is broken somehow, because when I click "Add", all 2D, 3D, 2D→3D, 3D→2D, CSG menus are empty. I can only add a script. Looking at strace output, antimony looks at /usr/share/Antimony/nodes, but doesn't seem to want anything from there. But I don't know how this is all supposed to work, so maybe it's all expected :)

+ license is OK
+ license file is present
+ location of files in rpm is correct
+ latest version is packaged
+ binaries run
+ rpmlint says nothing interesting:

$ rpmlint antimony
antimony.x86_64: W: spelling-error %description -l en_US kokompe -> kopeck
antimony.x86_64: W: spelling-error %description -l en_US cba -> cab, ca
antimony.x86_64: W: spelling-error %description -l en_US mit -> MIT, might, meet
antimony.x86_64: W: spelling-error %description -l en_US edu -> ed, educ, due
antimony.x86_64: W: no-manual-page-for-binary antimony
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

Package is APPROVED.
Comment 10 Antonio Trande 2015-11-14 13:27:02 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #9)
> I think that the installation is broken somehow, because when I click "Add",
> all 2D, 3D, 2D→3D, 3D→2D, CSG menus are empty. I can only add a script.
> Looking at strace output, antimony looks at /usr/share/Antimony/nodes, but
> doesn't seem to want anything from there. But I don't know how this is all
> supposed to work, so maybe it's all expected :)

mmh...
Only 2D→3D 3D→2D seem empty to me.

> 
> + license is OK
> + license file is present
> + location of files in rpm is correct
> + latest version is packaged
> + binaries run
> + rpmlint says nothing interesting:
> 
> $ rpmlint antimony
> antimony.x86_64: W: spelling-error %description -l en_US kokompe -> kopeck
> antimony.x86_64: W: spelling-error %description -l en_US cba -> cab, ca
> antimony.x86_64: W: spelling-error %description -l en_US mit -> MIT, might,
> meet
> antimony.x86_64: W: spelling-error %description -l en_US edu -> ed, educ, due
> antimony.x86_64: W: no-manual-page-for-binary antimony
> 1 packages and 0 specfiles checked; 0 errors, 5 warnings.
> 
> Package is APPROVED.

Thank you.
Comment 11 Gwyn Ciesla 2015-11-14 15:00:00 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/antimony
Comment 12 Zbigniew Jędrzejewski-Szmek 2015-11-14 15:40:18 EST
FTR, I am running under F23.
Comment 13 Fedora Update System 2015-11-15 08:46:06 EST
antimony-0.9.0-0.5.20151111git12e9f8.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-bf5d3dd5c4
Comment 14 Fedora Update System 2015-11-15 08:46:07 EST
antimony-0.9.0-0.5.20151111git12e9f8.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-563af47fa1
Comment 15 Fedora Update System 2015-11-15 23:51:05 EST
antimony-0.9.0-0.5.20151111git12e9f8.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update antimony'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-bf5d3dd5c4
Comment 16 Fedora Update System 2015-11-16 00:53:26 EST
antimony-0.9.0-0.5.20151111git12e9f8.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update antimony'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-563af47fa1
Comment 17 Fedora Update System 2015-11-23 15:54:46 EST
antimony-0.9.0-0.5.20151111git12e9f8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-11-23 17:50:09 EST
antimony-0.9.0-0.5.20151111git12e9f8.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.